edu.isi.pegasus.planner.client

## Class VersionNumber

- java.lang.Object
- - edu.isi.pegasus.planner.client.VersionNumber

    public class VersionNumber
    extends java.lang.Object

This class just prints the current version number on stdout.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao

### Field Summary

Fields
`private java.lang.String` `m_application` application's own name.

### Constructor Summary

Constructors
Constructor and Description
`VersionNumber(java.lang.String appName)` ctor: Constructs a new instance with the given application name.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected gnu.getopt.LongOpt[]` `generateValidOptions()` Creates a set of options.
`static void` `main(java.lang.String[] args)`
`void` `showUsage()` Prints the usage string.
`static void` `showVersion(Version v, boolean build)` Print the version information onto stdout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_application

    private java.lang.String m_application

application's own name.

### Constructor Detail

#### VersionNumber

    public VersionNumber(java.lang.String appName)

ctor: Constructs a new instance with the given application name.

Parameters:
  `appName` - is the name of the application

### Method Detail

#### showUsage

    public void showUsage()

Prints the usage string.

#### generateValidOptions

    protected gnu.getopt.LongOpt[] generateValidOptions()

Creates a set of options.

Returns:
  the assembled long option list

#### showVersion

    public static void showVersion(Version v,
                                   boolean build)

Print the version information onto stdout.

Parameters:
  `v` - is the version information class.
  `build` - if true, also show build information with version.

#### main

    public static void main(java.lang.String[] args)